import ReactDOM from "react-dom/client";
import "./index.less";
import reportWebVitals from "./reportWebVitals";
import { routers } from "./router";
import { RouterProvider } from "react-router-dom";
import stores from "./store";
import { Provider } from "mobx-react";

const root = ReactDOM.createRoot(
  document.getElementById("root") as HTMLElement
);

root.render(
  <Provider {...stores}>
    <RouterProvider router={routers} />
  </Provider>
);

reportWebVitals();
